Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
[Java] Class StringCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.StringCachedClass

    public class StringCachedClass
    extends CachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`StringCachedClass(ClassInfo classInfo)`

Method Summary
`java.lang.Object` | `coerceArgument(java.lang.Object argument)`
`boolean` | `isAssignableFrom(java.lang.Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(java.lang.Object argument)`

Methods inherited from class CachedClass
addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StringCachedClass

    public StringCachedClass(ClassInfo classInfo)

Method Detail

### coerceArgument

    public java.lang.Object coerceArgument(java.lang.Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(java.lang.Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(java.lang.Object argument)

Groovy Documentation